
// HandWheelDlg.h: 头文件
//

#pragma once


// CHandWheelDlg 对话框
class CHandWheelDlg : public CDialogEx
{
// 构造
public:
	CHandWheelDlg(CWnd* pParent = nullptr);	// 标准构造函数

// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_MY_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 支持


// 实现
protected:
	HICON m_hIcon;

	// 生成的消息映射函数
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	double multi; //手轮倍率
	CComboBox axisNoCombobox; //轴号
	CComboBox encCountMode; //辅助编码器计数模式
	CComboBox encCountDir; //辅助编码器计数方向

	WORD cardConnectNo;//卡的连接号
	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedButton4();
	afx_msg void OnBnClickedButton3();
	afx_msg void OnDestroy();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
};
